com.holonplatform.core.beans

## Interface BooleanBeanProperty

- All Superinterfaces:
    BeanProperty<Boolean>, BooleanProperty, CloneableProperty<Boolean,PathProperty<Boolean>,PathProperty.Builder<Boolean,PathProperty<Boolean>,?>>, CloneableProperty.CloneablePathProperty<Boolean,PathProperty<Boolean>>, ConverterExpression<Boolean>, DataMappable, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Path<Boolean>, PathExpression<Boolean>, PathProperty<Boolean>, Property<Boolean>, QueryExpression<Boolean>, QueryProjection<Boolean>, Serializable, TypedExpression<Boolean>, Validator.Validatable<Boolean>

      public interface BooleanBeanProperty
      extends BeanProperty<Boolean>, BooleanProperty

  A Boolean type `BeanProperty`, implementing `BooleanProperty`.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.beans.BeanProperty

      `BeanProperty.Builder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.BooleanProperty

      `BooleanProperty.BooleanPropertyBuilder`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `CloneableProperty.CloneablePathProperty<T,P extends Property<T> & Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BeanProperty.Builder<Boolean>` | `builder(String name, boolean primitive)` Get a builder to create a `BooleanBeanProperty`.

    - ### Methods inherited from interface com.holonplatform.core.beans.BeanProperty

      `builder, getAnnotation, getField, getParentProperty, getReadMethod, getSequence, getWriteMethod, hasAnnotation, isIdentifier`

    - ### Methods inherited from interface com.holonplatform.core.property.BooleanProperty

      `clone, create, create, create`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

- - ### Method Detail

    - #### builder

          static BeanProperty.Builder<Boolean> builder(String name,
                                                       boolean primitive)

      Get a builder to create a `BooleanBeanProperty`.
      Parameters:
        `name` - Property name (not null)
        `primitive` - Whether to use the primitive `boolean` type
      Returns:
        BeanProperty builder

Copyright © 2019 The Holon Platform. All rights reserved.